/*
********************************************************************************
*	[Contents]
*		LCDtbVhCo
*	[File Name]
*		refresh_LCD.c
*	[Author]
*		IDEC
*	[Note]
*		[System Information]
*			Product Name:	Y1437 HG1H`^eB[`Oy_g API
*			CPU:			V850ES/KG2
*			Compiler:		CA850
*			OS:				-
*		[History]
*			2006/Aug/24	쐬
********************************************************************************
*/

#include "api.h"

/* Ӌ@\WX^(I/OWX^)̗L */
#pragma ioreg

/*
********************************************************************************
/*                     O֐vg^Cv錾
********************************************************************************
*/
void inttm030_func_user( void );
void hg_refresh_init( void );

/*
********************************************************************************
/*                     OϐQ 錾
********************************************************************************
*/

volatile char Gtmr_init ;
volatile char Gtmr_count ;

/*
********************************************************************************
*	[Function]
*		hg_dsp_refresh_init
*	[Contents]
*		LCDtbVp^C}
*	[Arguments]
*		Ȃ
*	[Return]
*		Ȃ
*	[Note]
*		TMO3100msecŊ荞݂悤ɐݒ
*	[History]
*		2006/Aug/24	쐬
********************************************************************************
*/
void hg_refresh_init( void ){

	TM0MK30 = 1;					/* Disable INTTM030 interrupt */
	TM0MK31 = 1;					/* Disable INTTM031 interrupt */
	CRC03 = 0x00;					
	CR030 = 0x0f01;					/* 100ms  128/4.9152 ns x (3840+1) */
	CR031 = 0xFFFF;					/* Disable INTTM001 interrupt */	
	PRM03 = 0x02;					/* Countclock = fxx/512 */
	
	TMC03 = 0x0C;					/* Clear & Start  when TM0 & CR000 match */	
	
	TM0MK30 = 0;					/* Enable INTTM000 interrupt */
	
	/* LCDtbV֐400msŎs悤ɐݒ */
	Gtmr_init = 4 ;
	
	/* LCDtbV^C}JE^Zbg */
	Gtmr_count = Gtmr_init ;
}


/*
********************************************************************************
*	[Function]
*		int_func
*	[Contents]
*		TM03荞ݏ(100msec)
*	[Arguments]
*		Ȃ
*	[Return]
*		Ȃ
*	[Note]
*		400msecɑd荞݋LCDtbVs
*	[History]
*		2006/Aug/24	쐬
********************************************************************************
*/
void inttm030_func_user( void )
{
	char ret ;
	
	/* LCDtbV^C}JEg_E */
	if( Gtmr_count ) {
		Gtmr_count -- ;
		
		/*@ʃtbV^C}JEgAbvȂ */
		if ( 0 == Gtmr_count ){
			/* d荞݂ */
			__EI( ) ;
			/* LCDtbVs */
			ret = hg_refresh_LCD( ) ;
			/* d荞݂֎~ */
			__DI( ) ;
			/* LCDtbV^C}JE^Zbg */
			Gtmr_count = Gtmr_init ;
		}
	}
}

